<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:27 CEST 2019 -->
<title>V10AsynchronousChannel (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="V10AsynchronousChannel (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html" title="class in org.firebirdsql.gds.ng.wire.version10"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/firebirdsql/gds/ng/wire/version10/V10AsynchronousChannel.html" target="_top">Frames</a></li>
<li><a href="V10AsynchronousChannel.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.wire.version10</div>
<h2 title="Class V10AsynchronousChannel" class="title">Class V10AsynchronousChannel</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.wire.version10.V10AsynchronousChannel</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAsynchronousChannel</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">V10AsynchronousChannel</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAsynchronousChannel</a></pre>
<div class="block">Asynchronous channel implementation for the V10 wire protocol.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10AsynchronousChannel.html#V10AsynchronousChannel-org.firebirdsql.gds.ng.wire.FbWireDatabase-">V10AsynchronousChannel</a></span>(<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10AsynchronousChannel.html#addChannelListener-org.firebirdsql.gds.ng.wire.AsynchronousChannelListener-">addChannelListener</a></span>(<a href="../../../../../../org/firebirdsql/gds/ng/wire/AsynchronousChannelListener.html" title="interface in org.firebirdsql.gds.ng.wire">AsynchronousChannelListener</a>&nbsp;listener)</code>
<div class="block">Register a listener for this channel.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10AsynchronousChannel.html#cancelEvent-org.firebirdsql.gds.EventHandle-">cancelEvent</a></span>(<a href="../../../../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds">EventHandle</a>&nbsp;eventHandle)</code>
<div class="block">Cancels a registered event.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10AsynchronousChannel.html#close--">close</a></span>()</code>
<div class="block">Disconnect the asynchronous channel.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10AsynchronousChannel.html#connect-java.lang.String-int-int-">connect</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;hostName,
       int&nbsp;portNumber,
       int&nbsp;auxHandle)</code>
<div class="block">Connects the asynchronous channel to the specified port.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10AsynchronousChannel.html#finalize--">finalize</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/nio/ByteBuffer.html?is-external=true" title="class or interface in java.nio">ByteBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10AsynchronousChannel.html#getEventBuffer--">getEventBuffer</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/nio/channels/SocketChannel.html?is-external=true" title="class or interface in java.nio.channels">SocketChannel</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10AsynchronousChannel.html#getSocketChannel--">getSocketChannel</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10AsynchronousChannel.html#isConnected--">isConnected</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10AsynchronousChannel.html#processEventData--">processEventData</a></span>()</code>
<div class="block">Process the current event data in the buffer.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10AsynchronousChannel.html#queueEvent-org.firebirdsql.gds.EventHandle-">queueEvent</a></span>(<a href="../../../../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds">EventHandle</a>&nbsp;eventHandle)</code>
<div class="block">Queues a wait for an event.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10AsynchronousChannel.html#removeChannelListener-org.firebirdsql.gds.ng.wire.AsynchronousChannelListener-">removeChannelListener</a></span>(<a href="../../../../../../org/firebirdsql/gds/ng/wire/AsynchronousChannelListener.html" title="interface in org.firebirdsql.gds.ng.wire">AsynchronousChannelListener</a>&nbsp;listener)</code>
<div class="block">Remove a listener from this channel</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="V10AsynchronousChannel-org.firebirdsql.gds.ng.wire.FbWireDatabase-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>V10AsynchronousChannel</h4>
<pre>public&nbsp;V10AsynchronousChannel(<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="connect-java.lang.String-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>connect</h4>
<pre>public&nbsp;void&nbsp;connect(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;hostName,
                    int&nbsp;portNumber,
                    int&nbsp;auxHandle)
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html#connect-java.lang.String-int-int-">FbWireAsynchronousChannel</a></code></span></div>
<div class="block">Connects the asynchronous channel to the specified port.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html#connect-java.lang.String-int-int-">connect</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAsynchronousChannel</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>hostName</code> - Hostname</dd>
<dd><code>portNumber</code> - The port number</dd>
<dd><code>auxHandle</code> - Handle identifier for this asynchronous channel</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors connecting, or if the connection is already established</dd>
</dl>
</li>
</ul>
<a name="close--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>close</h4>
<pre>public&nbsp;void&nbsp;close()
           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html#close--">FbWireAsynchronousChannel</a></code></span></div>
<div class="block">Disconnect the asynchronous channel.
 <p>
 Once closed, the connection can be reestablished using <a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html#connect-java.lang.String-int-int-"><code>FbWireAsynchronousChannel.connect(String, int, int)</code></a>.
 </p>
 <p>
 Calling <code>close</code> on a closed channel is a no-op; no exception should be thrown.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html#close--">close</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAsynchronousChannel</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors closing the channel</dd>
</dl>
</li>
</ul>
<a name="isConnected--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isConnected</h4>
<pre>public&nbsp;boolean&nbsp;isConnected()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html#isConnected--">isConnected</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAsynchronousChannel</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if connected, otherwise <code>false</code></dd>
</dl>
</li>
</ul>
<a name="addChannelListener-org.firebirdsql.gds.ng.wire.AsynchronousChannelListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addChannelListener</h4>
<pre>public&nbsp;void&nbsp;addChannelListener(<a href="../../../../../../org/firebirdsql/gds/ng/wire/AsynchronousChannelListener.html" title="interface in org.firebirdsql.gds.ng.wire">AsynchronousChannelListener</a>&nbsp;listener)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html#addChannelListener-org.firebirdsql.gds.ng.wire.AsynchronousChannelListener-">FbWireAsynchronousChannel</a></code></span></div>
<div class="block">Register a listener for this channel.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html#addChannelListener-org.firebirdsql.gds.ng.wire.AsynchronousChannelListener-">addChannelListener</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAsynchronousChannel</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - Listener</dd>
</dl>
</li>
</ul>
<a name="removeChannelListener-org.firebirdsql.gds.ng.wire.AsynchronousChannelListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeChannelListener</h4>
<pre>public&nbsp;void&nbsp;removeChannelListener(<a href="../../../../../../org/firebirdsql/gds/ng/wire/AsynchronousChannelListener.html" title="interface in org.firebirdsql.gds.ng.wire">AsynchronousChannelListener</a>&nbsp;listener)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html#removeChannelListener-org.firebirdsql.gds.ng.wire.AsynchronousChannelListener-">FbWireAsynchronousChannel</a></code></span></div>
<div class="block">Remove a listener from this channel</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html#removeChannelListener-org.firebirdsql.gds.ng.wire.AsynchronousChannelListener-">removeChannelListener</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAsynchronousChannel</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - Listener</dd>
</dl>
</li>
</ul>
<a name="getSocketChannel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSocketChannel</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/nio/channels/SocketChannel.html?is-external=true" title="class or interface in java.nio.channels">SocketChannel</a>&nbsp;getSocketChannel()
                               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html#getSocketChannel--">getSocketChannel</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAsynchronousChannel</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The socket channel associated with this asynchronous channel</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If not currently connected</dd>
</dl>
</li>
</ul>
<a name="getEventBuffer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEventBuffer</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/nio/ByteBuffer.html?is-external=true" title="class or interface in java.nio">ByteBuffer</a>&nbsp;getEventBuffer()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html#getEventBuffer--">getEventBuffer</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAsynchronousChannel</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The byte buffer for event data</dd>
</dl>
</li>
</ul>
<a name="processEventData--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processEventData</h4>
<pre>public&nbsp;void&nbsp;processEventData()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html#processEventData--">FbWireAsynchronousChannel</a></code></span></div>
<div class="block">Process the current event data in the buffer.
 <p>
 This is only to be called by the <a href="../../../../../../org/firebirdsql/gds/ng/wire/AsynchronousProcessor.html" title="class in org.firebirdsql.gds.ng.wire"><code>AsynchronousProcessor</code></a>. Implementations
 should be ready to deal with incomplete data in the event buffer (eg by not processing).
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html#processEventData--">processEventData</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAsynchronousChannel</a></code></dd>
</dl>
</li>
</ul>
<a name="queueEvent-org.firebirdsql.gds.EventHandle-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>queueEvent</h4>
<pre>public&nbsp;void&nbsp;queueEvent(<a href="../../../../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds">EventHandle</a>&nbsp;eventHandle)
                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html#queueEvent-org.firebirdsql.gds.EventHandle-">FbWireAsynchronousChannel</a></code></span></div>
<div class="block">Queues a wait for an event.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html#queueEvent-org.firebirdsql.gds.EventHandle-">queueEvent</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAsynchronousChannel</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>eventHandle</code> - Event handle</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="cancelEvent-org.firebirdsql.gds.EventHandle-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cancelEvent</h4>
<pre>public&nbsp;void&nbsp;cancelEvent(<a href="../../../../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds">EventHandle</a>&nbsp;eventHandle)
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html#cancelEvent-org.firebirdsql.gds.EventHandle-">FbWireAsynchronousChannel</a></code></span></div>
<div class="block">Cancels a registered event.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html#cancelEvent-org.firebirdsql.gds.EventHandle-">cancelEvent</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAsynchronousChannel</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>eventHandle</code> - The event handle to cancel</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors cancelling the event</dd>
</dl>
</li>
</ul>
<a name="finalize--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>finalize</h4>
<pre>protected&nbsp;void&nbsp;finalize()
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html" title="class in org.firebirdsql.gds.ng.wire.version10"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/firebirdsql/gds/ng/wire/version10/V10AsynchronousChannel.html" target="_top">Frames</a></li>
<li><a href="V10AsynchronousChannel.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
